Package com.smartgwt.client.types

# Enum ArrowStyle

java.lang.Object
java.lang.Enum<ArrowStyle>
com.smartgwt.client.types.ArrowStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ArrowStyle>`, `Constable`

public enum ArrowStyle extends Enum<ArrowStyle> implements ValueEnum
Supported styles for arrowheads.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK`
  Filled triangle.
  `OPEN`
  Two lines are drawn on each side of the path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ArrowStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ArrowStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLOCK

    public static final ArrowStyle BLOCK
    Filled triangle.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "block".

  - ### OPEN

    public static final ArrowStyle OPEN
    Two lines are drawn on each side of the path.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "open".

- ## Method Details

  - ### values

    public static ArrowStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ArrowStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`